# Uses of Interface
org.mariadb.jdbc.tls.TlsSocketPlugin

Packages that use TlsSocketPlugin
Package
Description
org.mariadb.jdbc.internal.protocol.tls
org.mariadb.jdbc.tls

## Uses of TlsSocketPlugin in org.mariadb.jdbc.internal.protocol.tls

Classes in org.mariadb.jdbc.internal.protocol.tls that implement TlsSocketPlugin
Modifier and Type
Class
Description
`class`
`DefaultTlsSocketPlugin`

## Uses of TlsSocketPlugin in org.mariadb.jdbc.tls

Methods in org.mariadb.jdbc.tls that return TlsSocketPlugin
Modifier and Type
Method
Description
`static TlsSocketPlugin`
TlsSocketPluginLoader.`get(String type)`
Get authentication plugin from type String.